public class PortaAbrindo extends Estado {

	public String status() {
		return "Abrindo";
	}
	public void operacaoTerminada() {
		getPorta().setEstado(Porta.ABERTA);
	}
	public void mudarEstado() {
		getPorta().setEstado(Porta.FECHANDO);
		getPorta().fechar();
	}
}
